List Simulation Runs
Returns the simulation runs for the authenticated organization.
Authentication
AuthorizationBearer
Authenticate server-side requests with a private Vapi API key. Create or copy a key from the [Vapi Dashboard](https://dashboard.vapi.ai) and send it in the `Authorization` header as `Bearer <token>`. Keep private API keys out of client-side code and public repositories.
Query parameters
status
Filter by status
Allowed values:
filterStatus
Filter by aggregate run result status
Allowed values:
targetType
Filter by target type
Allowed values:
targetId
Filter by target id
page
This is the page number to return. Defaults to 1.
sortOrder
This is the sort order for pagination. Defaults to 'DESC'.
Allowed values:
sortBy
This is the column to sort by. Defaults to 'createdAt'.
Allowed values:
limit
This is the maximum number of items to return. Defaults to 100.
createdAtGt
This will return items where the createdAt is greater than the specified value.
createdAtLt
This will return items where the createdAt is less than the specified value.
createdAtGe
This will return items where the createdAt is greater than or equal to the specified value.
createdAtLe
This will return items where the createdAt is less than or equal to the specified value.
updatedAtGt
This will return items where the updatedAt is greater than the specified value.
updatedAtLt
This will return items where the updatedAt is less than the specified value.
updatedAtGe
This will return items where the updatedAt is greater than or equal to the specified value.
updatedAtLe
This will return items where the updatedAt is less than or equal to the specified value.
Response
OR
SimulationRunsPaginatedResponse